Name:       shflags
Version:    1.0.3
Release:    11%{?dist}
Summary:    Simple handling of command-line flags in Bourne based Unix scripts

Group:      Development/Languages
License:    LGPLv2
URL:        http://code.google.com/p/shflags/
Source0:    http://shflags.googlecode.com/files/shflags-1.0.3.tgz

BuildArch:  noarch

Requires:       util-linux

%description
Shell Flags (shFlags) is a library written to greatly simplify the handling of
command-line flags in Bourne based Unix shell scripts (bash, dash, ksh, sh, zsh)
on many Unix OSes (Linux, Solaris, Mac OS X, etc.).

Most shell scripts use getopt for flags processing, but the different versions
of getopt on various OSes make writing portable shell scripts difficult. shFlags
instead provides an API that doesn't change across shell and OS versions so the
script writer can be confident that the script will work.

shFlags is a port of the google-gflags C++/Python library.

%prep
%setup -q

# Make the examples non-executable.. we're putting them in /usr/share.
chmod -x examples/*.sh

%build
# This section is empty because this package ccontains shell scripts
# to be sourced: there's nothing to build

%check
pushd src
sh shflags_test_defines.sh
sh shflags_test_parsing.sh
sh shflags_test_public.sh
sh shflags_test_private.sh
sh shflags_test.sh
popd

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -p src/shflags %{buildroot}/%{_datadir}/%{name}/.

%files
%doc README.txt README.html doc/ examples/
%{_datadir}/%{name}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-4
- Updated the license field to LGPLv2 after receiving feedback from upstream.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 06 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-2
- Updated the license field to LGPLv2+
- Removed BuildRequires util-linux.  Superfluous!
- Ownership taken for %%{_datadir}/%%{name}
- Copying with '-p' to preserve 
- Made examples non-exectuable.
- Added %%check section.

* Mon Jun 25 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-1
- Initial packaging for Fedora.
